com.genesyslab.wfm8.API.service.schedule810

## Class SchSiteAgents

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule810.SchSiteAgents

- All Implemented Interfaces:
    java.io.Serializable

      public class SchSiteAgents
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<java.lang.Integer>` | `agentIDArray`
    `protected int` | `agentIDArrayNSizeIs`
    `private static long` | `serialVersionUID`
    `protected int` | `siteID`
    `protected java.util.List<java.lang.Integer>` | `teamIDArray`
    `protected int` | `teamIDArrayNSizeIs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchSiteAgents()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<java.lang.Integer>` | `getAgentIDArray()` Gets the value of the agentIDArray property.
    `int` | `getAgentIDArrayNSizeIs()` Gets the value of the agentIDArrayNSizeIs property.
    `int` | `getSiteID()` Gets the value of the siteID property.
    `java.util.List<java.lang.Integer>` | `getTeamIDArray()` Gets the value of the teamIDArray property.
    `int` | `getTeamIDArrayNSizeIs()` Gets the value of the teamIDArrayNSizeIs property.
    `int` | `hashCode()`
    `void` | `setAgentIDArray(java.util.List<java.lang.Integer> agentIDArray)` Sets the value of the agentIDArray property.
    `void` | `setAgentIDArrayNSizeIs(int value)` Sets the value of the agentIDArrayNSizeIs property.
    `void` | `setSiteID(int value)` Sets the value of the siteID property.
    `void` | `setTeamIDArray(java.util.List<java.lang.Integer> teamIDArray)` Sets the value of the teamIDArray property.
    `void` | `setTeamIDArrayNSizeIs(int value)` Sets the value of the teamIDArrayNSizeIs property.
    `java.lang.String` | `toString()`
    `SchSiteAgents` | `withAgentIDArray(java.util.Collection<java.lang.Integer> values)`
    `SchSiteAgents` | `withAgentIDArray(java.lang.Integer... values)`
    `SchSiteAgents` | `withAgentIDArrayNSizeIs(int value)`
    `SchSiteAgents` | `withSiteID(int value)`
    `SchSiteAgents` | `withTeamIDArray(java.util.Collection<java.lang.Integer> values)`
    `SchSiteAgents` | `withTeamIDArray(java.lang.Integer... values)`
    `SchSiteAgents` | `withTeamIDArrayNSizeIs(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### siteID

          protected int siteID

    - #### teamIDArrayNSizeIs

          protected int teamIDArrayNSizeIs

    - #### teamIDArray

          protected java.util.List<java.lang.Integer> teamIDArray

    - #### agentIDArrayNSizeIs

          protected int agentIDArrayNSizeIs

    - #### agentIDArray

          protected java.util.List<java.lang.Integer> agentIDArray

  - ### Constructor Detail

    - #### SchSiteAgents

          public SchSiteAgents()

  - ### Method Detail

    - #### getSiteID

          public int getSiteID()

      Gets the value of the siteID property.

    - #### setSiteID

          public void setSiteID(int value)

      Sets the value of the siteID property.

    - #### getTeamIDArrayNSizeIs

          public int getTeamIDArrayNSizeIs()

      Gets the value of the teamIDArrayNSizeIs property.

    - #### setTeamIDArrayNSizeIs

          public void setTeamIDArrayNSizeIs(int value)

      Sets the value of the teamIDArrayNSizeIs property.

    - #### getTeamIDArray

          public java.util.List<java.lang.Integer> getTeamIDArray()

      Gets the value of the teamIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the teamIDArray property.

      For example, to add a new item, do as follows:

              getTeamIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### getAgentIDArrayNSizeIs

          public int getAgentIDArrayNSizeIs()

      Gets the value of the agentIDArrayNSizeIs property.

    - #### setAgentIDArrayNSizeIs

          public void setAgentIDArrayNSizeIs(int value)

      Sets the value of the agentIDArrayNSizeIs property.

    - #### getAgentIDArray

          public java.util.List<java.lang.Integer> getAgentIDArray()

      Gets the value of the agentIDArray property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the agentIDArray property.

      For example, to add a new item, do as follows:

              getAgentIDArray().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### withSiteID

          public SchSiteAgents withSiteID(int value)

    - #### withTeamIDArrayNSizeIs

          public SchSiteAgents withTeamIDArrayNSizeIs(int value)

    - #### withTeamIDArray

          public SchSiteAgents withTeamIDArray(java.lang.Integer... values)

    - #### withTeamIDArray

          public SchSiteAgents withTeamIDArray(java.util.Collection<java.lang.Integer> values)

    - #### withAgentIDArrayNSizeIs

          public SchSiteAgents withAgentIDArrayNSizeIs(int value)

    - #### withAgentIDArray

          public SchSiteAgents withAgentIDArray(java.lang.Integer... values)

    - #### withAgentIDArray

          public SchSiteAgents withAgentIDArray(java.util.Collection<java.lang.Integer> values)

    - #### setTeamIDArray

          public void setTeamIDArray(java.util.List<java.lang.Integer> teamIDArray)

      Sets the value of the teamIDArray property.
      Parameters:
        `teamIDArray` - allowed object is `Integer`

    - #### setAgentIDArray

          public void setAgentIDArray(java.util.List<java.lang.Integer> agentIDArray)

      Sets the value of the agentIDArray property.
      Parameters:
        `agentIDArray` - allowed object is `Integer`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.